using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Core;

[ComImport]
[Guid("5DBD2180-4B88-440E-9706-E6159A39D014")]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(1)]
public interface IDecalDirectory
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[return: MarshalAs(UnmanagedType.IUnknown)]
	object Lookup([MarshalAs(UnmanagedType.BStr)] string strName);
}
